ShortListImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class ShortListImpl

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              org.apache.xerces.impl.xs.util.ShortListImpl

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, org.apache.xerces.xs.ShortList

    public final class ShortListImpl

extends java.util.AbstractList
implements org.apache.xerces.xs.ShortList

Contains a list of shorts.

Version:
  $Id: ShortListImpl.java 725840 2008-12-11 22:19:06Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`static ShortListImpl` | `EMPTY_LIST` An immutable empty list.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ShortListImpl(short[] array, int length)` Construct an XSObjectList implementation

Method Summary
`boolean` | `contains(short item)` Checks if the `unsigned short` `item` is a member of this list.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `get(int index)`
`int` | `getLength()` The number of `Objects` in the list.
`short` | `item(int index)` Returns the `index`th item in the collection.
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList, toArray, toArray`

Field Detail

### EMPTY_LIST

    public static final ShortListImpl EMPTY_LIST

  An immutable empty list.

Constructor Detail

### ShortListImpl

    public ShortListImpl(short[] array,
                         int length)

  Construct an XSObjectList implementation

  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `Objects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.

  Specified by:
    `getLength` in interface `org.apache.xerces.xs.ShortList`

### contains

    public boolean contains(short item)

  Checks if the `unsigned short` `item` is a member of this list.

  Specified by:
    `contains` in interface `org.apache.xerces.xs.ShortList`
  Parameters:
    `item` - `unsigned short` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `unsigned short` `item`.

### item

    public short item(int index)
               throws org.apache.xerces.xs.XSException

  Description copied from interface: `org.apache.xerces.xs.ShortList`
  Returns the `index`th item in the collection. The index starts at 0.

  Specified by:
    `item` in interface `org.apache.xerces.xs.ShortList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `unsigned short` at the `index`th position in the `ShortList`.
  Throws:
    `org.apache.xerces.xs.XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.List`
  Overrides:
    `equals` in class `java.util.AbstractList`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.